classification
Title: Leaked file in test_nextfile_oserror_deleting_backup in test_fileinput
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-06-03 12:53 by serhiy.storchaka, last changed 2018-06-05 16:53 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7377 merged serhiy.storchaka, 2018-06-04 03:44
PR 7417 merged miss-islington, 2018-06-05 09:08
PR 7431 merged serhiy.storchaka, 2018-06-05 13:20
Messages (4)
msg318545 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 12:53
$ ./python -m test -v -m test_nextfile_oserror_deleting_backup test_fileinput
...
Warning -- files was modified by test_fileinput
  Before: []
  After:  ['@test_23936_tmp1.bak'] 
test_fileinput failed (env changed)
msg318730 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-05 09:08
New changeset 5f48e2644dcfb47f0bbc0fcdc2b103a19bdec288 by Serhiy Storchaka in branch 'master':
bpo-33753: Refactor creating temporary files in test_fileinput. (GH-7377)
https://github.com/python/cpython/commit/5f48e2644dcfb47f0bbc0fcdc2b103a19bdec288
msg318731 - (view) Author: miss-islington (miss-islington) Date: 2018-06-05 10:13
New changeset fff25cc369da83cfeab1d6a15f42748b17a30aa4 by Miss Islington (bot) in branch '3.7':
bpo-33753: Refactor creating temporary files in test_fileinput. (GH-7377)
https://github.com/python/cpython/commit/fff25cc369da83cfeab1d6a15f42748b17a30aa4
msg318768 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-05 16:53
New changeset b8baa33d931de557d2915c604df85ab168da0904 by Serhiy Storchaka in branch '3.6':
[3.6] bpo-33753: Refactor creating temporary files in test_fileinput. (GH-7377). (GH-7431)
https://github.com/python/cpython/commit/b8baa33d931de557d2915c604df85ab168da0904
History
Date User Action Args
2018-06-05 16:53:34serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-05 16:53:06serhiy.storchakasetmessages: + msg318768
2018-06-05 13:20:28serhiy.storchakasetpull_requests: + pull_request7057
2018-06-05 10:13:39miss-islingtonsetnosy: + miss-islington
messages: + msg318731
2018-06-05 09:08:59miss-islingtonsetpull_requests: + pull_request7041
2018-06-05 09:08:46serhiy.storchakasetmessages: + msg318730
2018-06-04 03:44:28serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request7004
2018-06-03 12:53:11serhiy.storchakacreate